Get one Connection: status, status message, tools, latest test.
curl --request GET \
--url https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/workspace/connections/{connection_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/workspace/connections/{connection_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/workspace/connections/{connection_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/workspace/connections/{connection_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/workspace/connections/{connection_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/workspace/connections/{connection_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/workspace/connections/{connection_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "builtin",
"name": "<string>",
"prefix": "<string>",
"alias": "<string>",
"description": "<string>",
"category": "cloud_platform",
"environment": "production",
"status": "connected",
"status_message": "<string>",
"cost_capable": true,
"tools": [
{
"name": "<string>",
"enabled": true,
"approval": true
}
],
"locations": [
{
"key": "<string>",
"value": "<string>"
}
],
"updated_at": "2023-11-07T05:31:56Z",
"test": {
"connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phase": "queued",
"started_at": "2023-11-07T05:31:56Z",
"elapsed_ms": 123,
"last_error": "<string>",
"failure_kind": "auth_failed"
},
"demo": true
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}workspace
Get one Connection
Never returns credentials.
GET
/
v1
/
workspaces
/
{workspace_id}
/
workspace
/
connections
/
{connection_id}
Get one Connection: status, status message, tools, latest test.
curl --request GET \
--url https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/workspace/connections/{connection_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/workspace/connections/{connection_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/workspace/connections/{connection_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/workspace/connections/{connection_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/workspace/connections/{connection_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/workspace/connections/{connection_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/workspace/connections/{connection_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "builtin",
"name": "<string>",
"prefix": "<string>",
"alias": "<string>",
"description": "<string>",
"category": "cloud_platform",
"environment": "production",
"status": "connected",
"status_message": "<string>",
"cost_capable": true,
"tools": [
{
"name": "<string>",
"enabled": true,
"approval": true
}
],
"locations": [
{
"key": "<string>",
"value": "<string>"
}
],
"updated_at": "2023-11-07T05:31:56Z",
"test": {
"connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phase": "queued",
"started_at": "2023-11-07T05:31:56Z",
"elapsed_ms": 123,
"last_error": "<string>",
"failure_kind": "auth_failed"
},
"demo": true
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}Scope:
workspace:connections:read. See API Tokens.Authorizations
Path Parameters
Response
OK
One installed Connection with its latest test.
Available options:
cloud_platform, infrastructure_automation, container_platform, app_platform, database, ai_engineering, monitoring, log_analytics, incident_management, software_delivery, security_identity, compliance, soc, work_management, product_insight, data_streaming Was this page helpful?